#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x4ae42d94, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x94a606b2, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x39b1f440, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x4e3fa4e0, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x66838865, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7bffc51, "pci_device_is_present" },
	{ 0x375287c6, "debugfs_remove" },
	{ 0xe2b90c32, "pci_read_config_word" },
	{ 0x17107f75, "pcie_flr" },
	{ 0xc1ea383f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x89dddbc6, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x37a44263, "dcbnl_ieee_notify" },
	{ 0xd8bb90f6, "xsk_uses_need_wakeup" },
	{ 0xa6414fb3, "register_netdev" },
	{ 0x9aa38b45, "dev_mc_del" },
	{ 0x5dd105ec, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x913e539f, "free_netdev" },
	{ 0x2fbbf002, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9a6ec24a, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xef0d57d2, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf005c0c7, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xeeb29c6b, "netif_tx_stop_all_queues" },
	{ 0xaefd5aec, "pci_restore_state" },
	{ 0xaea5faf2, "bpf_trace_run1" },
	{ 0xef46c386, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x8758ecb2, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8e7628cc, "dma_sync_single_for_cpu" },
	{ 0x317f303e, "dcb_getapp" },
	{ 0xe2b0ec5f, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x6cfd84ed, "flow_rule_match_ports" },
	{ 0xfe5d25af, "gnss_allocate_device" },
	{ 0xceab3305, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb93fef63, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x308d9ba0, "netif_schedule_queue" },
	{ 0xfbae1ccf, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x9081e8d0, "pci_set_master" },
	{ 0xa32fc7e0, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9a58c93, "flow_rule_match_ipv6_addrs" },
	{ 0x2d23fe82, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x37bf1c88, "ptp_clock_unregister" },
	{ 0xb11329bb, "__pskb_pull_tail" },
	{ 0xfd7c2507, "xp_dma_unmap" },
	{ 0x1ec1b1bd, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x6f16a7c0, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x54f4ed95, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd10d15b5, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbec3a16d, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xf849f570, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0xbb4c4e79, "flow_rule_match_pppoe" },
	{ 0xa64e36c8, "pv_ops" },
	{ 0x6b936886, "flow_rule_match_enc_control" },
	{ 0xb1cec9ce, "bpf_trace_run3" },
	{ 0x1af0f878, "seq_read" },
	{ 0xccf2cd77, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7655ce26, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeabe80ab, "gnss_deregister_device" },
	{ 0x3905a083, "debugfs_create_file" },
	{ 0xcda4bcb1, "rps_may_expire_flow" },
	{ 0xb5168f15, "metadata_dst_free" },
	{ 0x1a5c6b78, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x82e540e3, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc296c354, "devlink_params_register" },
	{ 0xf654709b, "trace_event_buffer_reserve" },
	{ 0x211ff1aa, "kthread_destroy_worker" },
	{ 0xaf708460, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xfc2d9034, "flow_rule_match_enc_ports" },
	{ 0x4c31ede7, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9df32d1c, "dpll_netdev_pin_clear" },
	{ 0xeb3bd497, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7ee0d4db, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc86d5f17, "pcie_print_link_status" },
	{ 0xcd251427, "xp_set_rxq_info" },
	{ 0x60a77e03, "flow_rule_match_vlan" },
	{ 0x2eaa09f5, "xdp_rxq_info_unreg" },
	{ 0x8e90d29a, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9a0b54f7, "napi_build_skb" },
	{ 0xe132d43, "netdev_master_upper_dev_get_rcu" },
	{ 0xa4c7d884, "__xdp_rxq_info_reg" },
	{ 0x26f49d6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9360490a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xee4594f0, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x9cfa35b7, "dpll_pin_register" },
	{ 0x20c9aa9, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc47476cd, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x3716c11f, "__hw_addr_sync_dev" },
	{ 0xa0ec066d, "devlink_port_register_with_ops" },
	{ 0x870b6948, "pci_disable_sriov" },
	{ 0xc364fe5, "pldmfw_flash_image" },
	{ 0xab406569, "kthread_queue_delayed_work" },
	{ 0x5984482, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa9012092, "dst_release" },
	{ 0x2d6210e1, "netif_carrier_on" },
	{ 0x52964aaa, "netdev_set_num_tc" },
	{ 0x7b19a11d, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x54cbd300, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb97c1825, "dev_uc_add_excl" },
	{ 0xc8ee7bab, "pci_disable_device" },
	{ 0xd67eae7c, "boot_cpu_data" },
	{ 0x7459799b, "xp_free" },
	{ 0xb2b4075, "dev_mc_add_excl" },
	{ 0x4f5fb5fa, "gnss_put_device" },
	{ 0x186acfb3, "single_release" },
	{ 0x6c5b255a, "dma_set_mask" },
	{ 0x6d7552ee, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5dd5a6e6, "netif_set_tso_max_size" },
	{ 0xd791a090, "__skb_flow_dissect" },
	{ 0x9bfe4d8f, "vlan_dev_vlan_id" },
	{ 0x28534f92, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa0b32b57, "pcim_iomap_table" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0xd7aa5b09, "xdp_master_redirect" },
	{ 0xc6c822de, "__devm_add_action" },
	{ 0x2de6b50, "dpll_pin_on_pin_register" },
	{ 0x3ae5706, "napi_schedule_prep" },
	{ 0xa4262f64, "napi_consume_skb" },
	{ 0x9a197c86, "pci_read_config_byte" },
	{ 0x68273cea, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xcce48f9f, "napi_disable" },
	{ 0x541d8b15, "dev_kfree_skb_any_reason" },
	{ 0xd31c82a2, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6ac7186a, "single_open" },
	{ 0xa50dcf0, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x24eeeb41, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe13663e, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x654e8f3d, "flow_rule_match_control" },
	{ 0x73fd588b, "flow_rule_match_ip" },
	{ 0x58d67d25, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe35b14e5, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xaa942c2c, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x761b80c7, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x7b4f03c4, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xc4e611fd, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4a6880a9, "__tracepoint_xdp_exception" },
	{ 0xb1a441ff, "xsk_tx_completed" },
	{ 0x8eadbbe1, "alloc_etherdev_mqs" },
	{ 0x5acf6ed, "netdev_lower_get_next" },
	{ 0xc9946a4b, "flow_block_cb_lookup" },
	{ 0x2f935c14, "pci_save_state" },
	{ 0x5a119cb6, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3b427321, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6c6180c7, "device_set_wakeup_enable" },
	{ 0xb792192b, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x21e0c720, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f87acec, "pci_find_ext_capability" },
	{ 0xc234f9f9, "kthread_create_worker" },
	{ 0xdcbe116, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfbf9d9c2, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x331abb2d, "devlink_unregister" },
	{ 0x1ead6cee, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xeafd848e, "devm_request_threaded_irq" },
	{ 0xcba02fdd, "kthread_cancel_delayed_work_sync" },
	{ 0x31991012, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb55571c8, "devm_kmalloc" },
	{ 0x29b4aa0c, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x680491d2, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf5c3ac6, "call_switchdev_notifiers" },
	{ 0x65355825, "__napi_alloc_skb" },
	{ 0x9f11d59a, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd64ba9e, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x2b6f9f7b, "auxiliary_device_init" },
	{ 0x8f7a7ee1, "pci_enable_device_mem" },
	{ 0x45e130c1, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x2a5af421, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfb414a04, "pci_alloc_irq_vectors" },
	{ 0xf039150d, "flow_rule_match_l2tpv3" },
	{ 0x5ddeebd6, "netif_napi_add_weight" },
	{ 0x9a32973c, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7c6e182c, "xsk_tx_peek_release_desc_batch" },
	{ 0x21d7c8ea, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x35e0f5, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2c420462, "trace_raw_output_prep" },
	{ 0x42de572c, "devl_lock" },
	{ 0x4d28b44c, "pci_dev_put" },
	{ 0x5902b259, "xp_fill_cb" },
	{ 0x8b7234e8, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x49f84315, "ndo_dflt_bridge_getlink" },
	{ 0xb1b6d73a, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9314f3d5, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x31e06593, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4be7fb04, "xdp_features_set_redirect_target" },
	{ 0x652a3b7c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x41973f7c, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x9d574112, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x839ffc33, "request_firmware" },
	{ 0xb83bd323, "trace_event_printf" },
	{ 0x56dba5eb, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4a3e8e6e, "flow_rule_match_cvlan" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4c3b314b, "devlink_params_unregister" },
	{ 0xc8cdfce6, "dma_sync_single_for_device" },
	{ 0x71790f97, "gnss_insert_raw" },
	{ 0xffefa1b8, "pci_num_vf" },
	{ 0xc7b2a788, "flow_rule_match_eth_addrs" },
	{ 0xfd1478a9, "skb_add_rx_frag" },
	{ 0x9838b34c, "get_device_system_crosststamp" },
	{ 0x3d9ac1da, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x318b5368, "ptp_clock_index" },
	{ 0x7c6139b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d850506, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xef3b0257, "devlink_alloc_ns" },
	{ 0x377f5dc1, "devl_rate_leaf_destroy" },
	{ 0x53c311fb, "devlink_register" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x2ff65563, "xdp_do_redirect" },
	{ 0xe4aa3550, "devlink_free" },
	{ 0x4d6e7086, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x19130297, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1bdf7d1, "devl_rate_node_create" },
	{ 0xd4d92856, "netdev_warn" },
	{ 0xfc52f058, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcee4128, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb0394bb4, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdf28d418, "pci_irq_vector" },
	{ 0xeaea1415, "flow_rule_match_ipv4_addrs" },
	{ 0x7d1367b0, "__netif_napi_del" },
	{ 0x69d4fee5, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2289d3d8, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x101d9514, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8ff025f, "pskb_expand_head" },
	{ 0x9617e969, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xe688255f, "devlink_flash_update_status_notify" },
	{ 0x8d644e1b, "dev_driver_string" },
	{ 0xef22a0d1, "pci_restore_msi_state" },
	{ 0x7e7d0ea1, "trace_event_buffer_commit" },
	{ 0xf46cf869, "xdp_return_buff" },
	{ 0xde600874, "dev_addr_mod" },
	{ 0xf70c202d, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x7484eaf8, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1119d222, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda0b04bb, "auxiliary_driver_unregister" },
	{ 0x9d860234, "dma_map_page_attrs" },
	{ 0xe7891c26, "napi_complete_done" },
	{ 0x940fbc70, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x84857c70, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2e42c558, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x78eb3e3f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa0dfb7b3, "put_device" },
	{ 0x38b361, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x48471211, "__napi_schedule" },
	{ 0xe59e8e2b, "ipv6_skip_exthdr" },
	{ 0xc48ff575, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xe61a2c57, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa8a24c25, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x60206e05, "__hw_addr_unsync_dev" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x4fc4cf45, "napi_gro_receive" },
	{ 0x631b7ae1, "xdp_features_clear_redirect_target" },
	{ 0x335f76b8, "netdev_pick_tx" },
	{ 0xe31b521c, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x43de7808, "xp_raw_get_dma" },
	{ 0x1a7d0a23, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8c6f7feb, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x518f55c7, "xdp_rxq_info_is_reg" },
	{ 0xe0b6e7b5, "flow_rule_match_enc_opts" },
	{ 0x673c76c1, "flow_block_cb_setup_simple" },
	{ 0xa48014b2, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3ac44f2b, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6e58283e, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xdcacf7ab, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x83db43fe, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x81039e9f, "vlan_dev_real_dev" },
	{ 0xe2db9bb5, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x70fdf4a0, "devm_kmemdup" },
	{ 0x7e4dd4fc, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4273ee83, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x46bec12d, "devlink_port_unregister" },
	{ 0xde1f085c, "devlink_flash_update_timeout_notify" },
	{ 0xb92dae4f, "devm_kfree" },
	{ 0xcc255402, "_dev_err" },
	{ 0xc54b68c0, "init_net" },
	{ 0x5fcc1f9f, "softnet_data" },
	{ 0x23364d2c, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x269c9b85, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe211b374, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xdc347ea0, "xp_dma_sync_for_cpu_slow" },
	{ 0xeb9cd2e0, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd273cf1e, "netif_set_real_num_tx_queues" },
	{ 0x294d3000, "__auxiliary_device_add" },
	{ 0x4d92d7e0, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x32a15a00, "netif_set_real_num_rx_queues" },
	{ 0x455e628e, "flow_indr_block_cb_alloc" },
	{ 0x5ac539f7, "pci_wait_for_pending_transaction" },
	{ 0xe334d976, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8AE3C28CEBE9E8EB6F315B9");
