#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x1dc54ce2, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x506dadf8, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xd59942a9, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xe2ca65dc, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x5a7043c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb1bee666, "inet_ctl_sock_create" },
	{ 0xa17bc809, "inet_ioctl" },
	{ 0xeca6c5c, "reuseport_add_sock" },
	{ 0x8b6e4f5a, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x71bb448, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4273ee83, "perf_trace_run_bpf_submit" },
	{ 0xabc86b4a, "fput" },
	{ 0xf1af601c, "inet_accept" },
	{ 0xc54b68c0, "init_net" },
	{ 0xe86a968a, "crypto_shash_setkey" },
	{ 0x5464a4ae, "skb_pull" },
	{ 0x748cec40, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa2dd1c54, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcae05dbd, "__SCK__tp_func_sk_data_ready" },
	{ 0xd8d1ef08, "inet_add_protocol" },
	{ 0xfa54cb1f, "inet_shutdown" },
	{ 0xa4af67ff, "sk_free" },
	{ 0x659496, "sock_wake_async" },
	{ 0x9272d8e4, "dev_get_by_index_rcu" },
	{ 0xb068578b, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xf8ca7a5f, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xb85adf9e, "skb_push" },
	{ 0xa1ca79fe, "__ip_queue_xmit" },
	{ 0x2b4763cf, "kmem_cache_free" },
	{ 0x6725d4ac, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x5dd105ec, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3141fe1b, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x82a30e35, "inet6_ioctl" },
	{ 0xaa8cb0e2, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xff5f108b, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xcd4ea9a7, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x28dae71f, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xd5f959a4, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xd773c5fd, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbce71c8, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb11329bb, "__pskb_pull_tail" },
	{ 0x188778d, "setup_udp_tunnel_sock" },
	{ 0xa45c3fb0, "udp_sock_create6" },
	{ 0xb7061eca, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd4f3934, "sk_common_release" },
	{ 0xa64e36c8, "pv_ops" },
	{ 0xb1cec9ce, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x9dd10eae, "inet6_getname" },
	{ 0x959464ca, "sock_i_ino" },
	{ 0x1f065ab3, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfee4d65c, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x87e36ad4, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x665af1ef, "ipv4_mtu" },
	{ 0x725de257, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf654709b, "trace_event_buffer_reserve" },
	{ 0x2f4e7f65, "__skb_checksum" },
	{ 0x642d5178, "reuseport_alloc" },
	{ 0x2aef722f, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x6b6c5453, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x7660658c, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x614b7808, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x134598c6, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xd4f98d65, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee4594f0, "seq_printf" },
	{ 0xf0b3f500, "proc_create_net_single" },
	{ 0x1dc99cf0, "skb_copy" },
	{ 0x20430530, "skb_clone" },
	{ 0x40f3f042, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa9012092, "dst_release" },
	{ 0x47035418, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5e553c71, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5f42e55e, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0x4953975f, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x7b2d7ee1, "_proc_mkdir" },
	{ 0xe204dd0c, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2110f527, "send_sig" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2323ee58, "inet6_add_protocol" },
	{ 0x841a7a0b, "from_kuid_munged" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0xa0a8c91, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x14623634, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfe549d24, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xe71b67e4, "reuseport_detach_sock" },
	{ 0x22ce2862, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x601de4ee, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x313aeb5e, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x2bc162d6, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc7f45245, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0xa3cf2717, "kmem_cache_destroy" },
	{ 0xb0194ece, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1e7e4383, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x912bc7f3, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x40c77105, "sock_i_uid" },
	{ 0x8fc73a3f, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb819908a, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x1ead6cee, "skb_copy_bits" },
	{ 0xd7bb31e7, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x873ff81, "sock_wfree" },
	{ 0x40fc19c8, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf6aa47a9, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x22eb37dc, "ip6_dst_hoplimit" },
	{ 0x45e130c1, "consume_skb" },
	{ 0x26059e8b, "inet6_add_offload" },
	{ 0x11ef4c9, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4ae7168, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2c420462, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2fc6978a, "l3mdev_fib_table_by_index" },
	{ 0xe1e0fd8d, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x93cb0cda, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf0654826, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x652a3b7c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2f558816, "skb_segment" },
	{ 0xb83bd323, "trace_event_printf" },
	{ 0xe0b058aa, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf667b7a, "udp_tunnel6_xmit_skb" },
	{ 0xd5f6a31, "sock_common_getsockopt" },
	{ 0xf9f8cd5b, "inet_bind" },
	{ 0xd0b41008, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2ab25952, "fd_install" },
	{ 0x7c6139b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa467c0b3, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x857fa23b, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x90ec0170, "__tracepoint_sk_data_ready" },
	{ 0x19130297, "bpf_trace_run2" },
	{ 0xcab2bfcc, "sock_common_setsockopt" },
	{ 0xe7d8d7d5, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2e8975b7, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xf3fc9226, "kmem_cache_create" },
	{ 0xbb137d6, "__sk_mem_schedule" },
	{ 0xa8dff5da, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7efbcfe4, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6aceb1f1, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x58d89027, "sk_error_report" },
	{ 0x89fe25f2, "register_pernet_subsys" },
	{ 0x53d3be8a, "put_cmsg" },
	{ 0x7e7d0ea1, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x436ce877, "register_net_sysctl_sz" },
	{ 0x52e27727, "inet_sock_destruct" },
	{ 0x6b0f7e47, "crypto_destroy_tfm" },
	{ 0xbb10cda6, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba7254e2, "inet_sk_get_local_port_range" },
	{ 0xe61f46b6, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbdd6801e, "inet_getname" },
	{ 0x2315e1c5, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x7b6cea98, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x526fa6d0, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xd52f3e61, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3c26ff7b, "kmem_cache_alloc" },
	{ 0x3e8d46fe, "proto_register" },
	{ 0xb8f5502c, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x7212cceb, "inet6_compat_ioctl" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "01C0C2006415142AB2C8BBB");
